#!/bin/sh
set -eux

# shellcheck disable=2016
find . -type f -name '*.nix' -print0 | xargs -0 -I{} sh -c '
  nixfmt < "$1" | diff - "$1" || {
    echo "The file \"$1\" is unformatted. To fix it, run:"
    echo "  nixfmt $1"
    exit 1
  }
' _ {} \;
